MAKEFLAGS    += -R -r

PERL	      = perl
GENFILES      = sysvars_gen.c sysvars_gen.h

all: $(GENFILES)

%_gen.c %_gen.h: %.vars ../tools/sysvars.pl
	$(PERL) ../tools/sysvars.pl $< $*_gen.h $*_gen.c

clean:
	rm -rf $(GENFILES)

spotless: clean
